# Uses of Class
java.beans.MethodDescriptor

Packages that use MethodDescriptor
Package
Description
java.beans
Contains classes related to developing beans -- components based on the JavaBeans architecture.

## Uses of MethodDescriptor in java.beans

Methods in java.beans that return MethodDescriptor
Modifier and Type
Method
Description
`MethodDescriptor[]`
EventSetDescriptor.`getListenerMethodDescriptors()`
Gets the `MethodDescriptor`s of the target listener interface.
`MethodDescriptor[]`
BeanInfo.`getMethodDescriptors()`
Returns the method descriptors of the bean that define the externally visible methods supported by this bean.
`MethodDescriptor[]`
SimpleBeanInfo.`getMethodDescriptors()`
Deny knowledge of methods.
Constructors in java.beans with parameters of type MethodDescriptor
Modifier
Constructor
Description
``
`EventSetDescriptor(String eventSetName, Class<?> listenerType, MethodDescriptor[] listenerMethodDescriptors, Method addListenerMethod, Method removeListenerMethod)`
Creates an `EventSetDescriptor` from scratch using `java.lang.reflect.MethodDescriptor` and `java.lang.Class` objects.